Rename the vmkit flags + provide feedback in the report of configure
[scilab.git] / scilab / modules / action_binding / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2007-2008 - INRIA - Sylvestre Ledru <sylvestre.ledru@inria.fr>
19 # Copyright (C) 2007-2008 - INRIA - Vincent COUVERT <vincent.couvert@inria.fr>
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
26
27 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
28 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
29 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
30 #
31 # This file must be used under the terms of the CeCILL.
32 # This source file is licensed as described in the file COPYING, which
33 # you should have received as part of this distribution.  The terms
34 # are also available at
35 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 @SWIG_TRUE@am__append_1 = swig
109 @GIWS_TRUE@am__append_2 = giws
110 @GUI_TRUE@am__append_3 = libsciaction_binding.la
111 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
112         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
113         $(top_srcdir)/config/depcomp
114 @NEED_JAVA_TRUE@am__append_4 = java
115 subdir = modules/action_binding
116 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
117 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
118         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
119         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
120         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
121         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
122         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
123         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
124         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
125         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
126         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
127         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
128         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
129         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
130         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
131         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
132         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
133         $(top_srcdir)/m4/vmkit.m4 $(top_srcdir)/configure.ac
134 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
135         $(ACLOCAL_M4)
136 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
137 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
138 CONFIG_CLEAN_FILES =
139 CONFIG_CLEAN_VPATH_FILES =
140 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
141 am__vpath_adj = case $$p in \
142     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
143     *) f=$$p;; \
144   esac;
145 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
146 am__install_max = 40
147 am__nobase_strip_setup = \
148   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
149 am__nobase_strip = \
150   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
151 am__nobase_list = $(am__nobase_strip_setup); \
152   for p in $$list; do echo "$$p $$p"; done | \
153   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
154   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
155     if (++n[$$2] == $(am__install_max)) \
156       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
157     END { for (dir in files) print dir, files[dir] }'
158 am__base_list = \
159   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
160   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
161 am__uninstall_files_from_dir = { \
162   test -z "$$files" \
163     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
164     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
165          $(am__cd) "$$dir" && rm -f $$files; }; \
166   }
167 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
168         "$(DESTDIR)$(libsciaction_binding_la_etcdir)" \
169         "$(DESTDIR)$(libsciaction_binding_la_rootdir)" \
170         "$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)"
171 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
172 libsciaction_binding_algo_la_LIBADD =
173 am__libsciaction_binding_algo_la_SOURCES_DIST =  \
174         src/c/InterpreterManagement.c src/jni/Signal.cpp \
175         src/jni/Signal.hxx src/cpp/action_binding_GiwsExports.cpp \
176         src/jni/InterpreterManagement_wrap.c
177 @GUI_TRUE@am__objects_1 = libsciaction_binding_algo_la-InterpreterManagement.lo
178 @GUI_TRUE@am__objects_2 = libsciaction_binding_algo_la-Signal.lo \
179 @GUI_TRUE@      libsciaction_binding_algo_la-action_binding_GiwsExports.lo
180 @GUI_TRUE@am__objects_3 = libsciaction_binding_algo_la-InterpreterManagement_wrap.lo
181 am_libsciaction_binding_algo_la_OBJECTS = $(am__objects_1) \
182         $(am__objects_2) $(am__objects_3)
183 libsciaction_binding_algo_la_OBJECTS =  \
184         $(am_libsciaction_binding_algo_la_OBJECTS)
185 AM_V_lt = $(am__v_lt_@AM_V@)
186 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187 am__v_lt_0 = --silent
188 am__v_lt_1 = 
189 @GUI_TRUE@am_libsciaction_binding_algo_la_rpath =
190 libsciaction_binding_disable_la_LIBADD =
191 am_libsciaction_binding_disable_la_OBJECTS =  \
192         libsciaction_binding_disable_la-noaction_binding.lo
193 libsciaction_binding_disable_la_OBJECTS =  \
194         $(am_libsciaction_binding_disable_la_OBJECTS)
195 libsciaction_binding_la_DEPENDENCIES = libsciaction_binding-algo.la
196 am__libsciaction_binding_la_SOURCES_DIST =  \
197         sci_gateway/cpp/action_binding_gw.cpp \
198         sci_gateway/cpp/sci_notify.cpp
199 @GUI_TRUE@am__objects_4 =  \
200 @GUI_TRUE@      libsciaction_binding_la-action_binding_gw.lo \
201 @GUI_TRUE@      libsciaction_binding_la-sci_notify.lo
202 am_libsciaction_binding_la_OBJECTS = $(am__objects_4)
203 libsciaction_binding_la_OBJECTS =  \
204         $(am_libsciaction_binding_la_OBJECTS)
205 @GUI_TRUE@am_libsciaction_binding_la_rpath = -rpath $(pkglibdir)
206 AM_V_P = $(am__v_P_@AM_V@)
207 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
208 am__v_P_0 = false
209 am__v_P_1 = :
210 AM_V_GEN = $(am__v_GEN_@AM_V@)
211 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
212 am__v_GEN_0 = @echo "  GEN     " $@;
213 am__v_GEN_1 = 
214 AM_V_at = $(am__v_at_@AM_V@)
215 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
216 am__v_at_0 = @
217 am__v_at_1 = 
218 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
219 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
220 am__depfiles_maybe = depfiles
221 am__mv = mv -f
222 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
223         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
224 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
225         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
226         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
227         $(AM_CFLAGS) $(CFLAGS)
228 AM_V_CC = $(am__v_CC_@AM_V@)
229 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
230 am__v_CC_0 = @echo "  CC      " $@;
231 am__v_CC_1 = 
232 CCLD = $(CC)
233 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
234         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
235         $(AM_LDFLAGS) $(LDFLAGS) -o $@
236 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
237 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
238 am__v_CCLD_0 = @echo "  CCLD    " $@;
239 am__v_CCLD_1 = 
240 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
241         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
242 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
243         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
244         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
245         $(AM_CXXFLAGS) $(CXXFLAGS)
246 AM_V_CXX = $(am__v_CXX_@AM_V@)
247 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
248 am__v_CXX_0 = @echo "  CXX     " $@;
249 am__v_CXX_1 = 
250 CXXLD = $(CXX)
251 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
252         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
253         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
254 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
255 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
256 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
257 am__v_CXXLD_1 = 
258 SOURCES = $(libsciaction_binding_algo_la_SOURCES) \
259         $(libsciaction_binding_disable_la_SOURCES) \
260         $(libsciaction_binding_la_SOURCES)
261 DIST_SOURCES = $(am__libsciaction_binding_algo_la_SOURCES_DIST) \
262         $(libsciaction_binding_disable_la_SOURCES) \
263         $(am__libsciaction_binding_la_SOURCES_DIST)
264 am__can_run_installinfo = \
265   case $$AM_UPDATE_INFO_DIR in \
266     n|no|NO) false;; \
267     *) (install-info --version) >/dev/null 2>&1;; \
268   esac
269 DATA = $(libsciaction_binding_la_etc_DATA) \
270         $(libsciaction_binding_la_root_DATA) \
271         $(libsciaction_binding_la_sci_gateway_DATA)
272 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
273 # Read a list of newline-separated strings from the standard input,
274 # and print each of them once, without duplicates.  Input order is
275 # *not* preserved.
276 am__uniquify_input = $(AWK) '\
277   BEGIN { nonempty = 0; } \
278   { items[$$0] = 1; nonempty = 1; } \
279   END { if (nonempty) { for (i in items) print i; }; } \
280 '
281 # Make sure the list of sources is unique.  This is necessary because,
282 # e.g., the same source file might be shared among _SOURCES variables
283 # for different programs/libraries.
284 am__define_uniq_tagged_files = \
285   list='$(am__tagged_files)'; \
286   unique=`for i in $$list; do \
287     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
288   done | $(am__uniquify_input)`
289 ETAGS = etags
290 CTAGS = ctags
291 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
292 ACLOCAL = @ACLOCAL@
293 ALL_LINGUAS = @ALL_LINGUAS@
294 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
295 AMTAR = @AMTAR@
296 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
297 ANT = @ANT@
298 ANTLR = @ANTLR@
299 AR = @AR@
300 ARPACK_LIBS = @ARPACK_LIBS@
301 ASM3 = @ASM3@
302 AUTOCONF = @AUTOCONF@
303 AUTOHEADER = @AUTOHEADER@
304 AUTOMAKE = @AUTOMAKE@
305 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
306 AWK = @AWK@
307 BATIK = @BATIK@
308 BLAS_LIBS = @BLAS_LIBS@
309 CC = @CC@
310 CCACHE = @CCACHE@
311 CCDEPMODE = @CCDEPMODE@
312 CFLAGS = @CFLAGS@
313 CHECKSTYLE = @CHECKSTYLE@
314 COBERTURA = @COBERTURA@
315 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
316 COMMONS_IO = @COMMONS_IO@
317 COMMONS_LOGGING = @COMMONS_LOGGING@
318 CPP = @CPP@
319 CPPFLAGS = @CPPFLAGS@
320 CURL_CFLAGS = @CURL_CFLAGS@
321 CURL_CONFIG = @CURL_CONFIG@
322 CURL_LIBS = @CURL_LIBS@
323 CURL_VERSION = @CURL_VERSION@
324 CXX = @CXX@
325 CXXCPP = @CXXCPP@
326 CXXDEPMODE = @CXXDEPMODE@
327 CXXFLAGS = @CXXFLAGS@
328 CYGPATH_W = @CYGPATH_W@
329 DEFS = @DEFS@
330 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
331 DEPDIR = @DEPDIR@
332 DOCBOOK_ROOT = @DOCBOOK_ROOT@
333 DOXYGEN_BIN = @DOXYGEN_BIN@
334 DSYMUTIL = @DSYMUTIL@
335 DUMPBIN = @DUMPBIN@
336 ECHO_C = @ECHO_C@
337 ECHO_N = @ECHO_N@
338 ECHO_T = @ECHO_T@
339 EGREP = @EGREP@
340 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
341 EXEEXT = @EXEEXT@
342 F77 = @F77@
343 FFLAGS = @FFLAGS@
344 FFTW3_LIB = @FFTW3_LIB@
345 FFTW_ENABLE = @FFTW_ENABLE@
346 FGREP = @FGREP@
347 FLEXDOCK = @FLEXDOCK@
348 FLIBS = @FLIBS@
349 FOP = @FOP@
350 GENHTML = @GENHTML@
351 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
352 GIWS_BIN = @GIWS_BIN@
353 GLUEGEN2_RT = @GLUEGEN2_RT@
354 GMSGFMT = @GMSGFMT@
355 GMSGFMT_015 = @GMSGFMT_015@
356 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
357 GREP = @GREP@
358 GUI_ENABLE = @GUI_ENABLE@
359 HDF5_CFLAGS = @HDF5_CFLAGS@
360 HDF5_LIBS = @HDF5_LIBS@
361 HELP_ENABLE = @HELP_ENABLE@
362 INSTALL = @INSTALL@
363 INSTALL_DATA = @INSTALL_DATA@
364 INSTALL_PROGRAM = @INSTALL_PROGRAM@
365 INSTALL_SCRIPT = @INSTALL_SCRIPT@
366 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
367 INTLLIBS = @INTLLIBS@
368 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
369 JAR = @JAR@
370 JAVA = @JAVA@
371 JAVAC = @JAVAC@
372 JAVAC_DEBUG = @JAVAC_DEBUG@
373 JAVADOC = @JAVADOC@
374 JAVAH = @JAVAH@
375 JAVASCI_ENABLE = @JAVASCI_ENABLE@
376 JAVA_ENABLE = @JAVA_ENABLE@
377 JAVA_G = @JAVA_G@
378 JAVA_HOME = @JAVA_HOME@
379 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
380 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
381 JDB = @JDB@
382 JEUCLID_CORE = @JEUCLID_CORE@
383 JGRAPHX = @JGRAPHX@
384 JHALL = @JHALL@
385 JLATEXMATH = @JLATEXMATH@
386 JLATEXMATH_FOP = @JLATEXMATH_FOP@
387 JOGL2 = @JOGL2@
388 JROSETTA_API = @JROSETTA_API@
389 JROSETTA_ENGINE = @JROSETTA_ENGINE@
390 JUNIT4 = @JUNIT4@
391 LAPACK_LIBS = @LAPACK_LIBS@
392 LCOV = @LCOV@
393 LD = @LD@
394 LDFLAGS = @LDFLAGS@
395 LEX = @LEX@
396 LEXLIB = @LEXLIB@
397 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
398 LIBICONV = @LIBICONV@
399 LIBINTL = @LIBINTL@
400 LIBM = @LIBM@
401 LIBOBJS = @LIBOBJS@
402 LIBS = @LIBS@
403 LIBTOOL = @LIBTOOL@
404 LIPO = @LIPO@
405 LLVM_INCLUDE_DIR = @LLVM_INCLUDE_DIR@
406 LLVM_LIB_DIR = @LLVM_LIB_DIR@
407 LN_S = @LN_S@
408 LOGGING_LEVEL = @LOGGING_LEVEL@
409 LOOKS = @LOOKS@
410 LTLIBICONV = @LTLIBICONV@
411 LTLIBINTL = @LTLIBINTL@
412 LTLIBOBJS = @LTLIBOBJS@
413 MAINT = @MAINT@
414 MAKEINFO = @MAKEINFO@
415 MATIO_CFLAGS = @MATIO_CFLAGS@
416 MATIO_ENABLE = @MATIO_ENABLE@
417 MATIO_LIBS = @MATIO_LIBS@
418 MKDIR_P = @MKDIR_P@
419 MSGCAT = @MSGCAT@
420 MSGFMT = @MSGFMT@
421 MSGFMT_015 = @MSGFMT_015@
422 MSGMERGE = @MSGMERGE@
423 NM = @NM@
424 NMEDIT = @NMEDIT@
425 OBJDUMP = @OBJDUMP@
426 OBJEXT = @OBJEXT@
427 OCAMLC = @OCAMLC@
428 OCAMLDEP = @OCAMLDEP@
429 OCAMLLEX = @OCAMLLEX@
430 OCAMLOPT = @OCAMLOPT@
431 OCAMLYACC = @OCAMLYACC@
432 OPENMP_CFLAGS = @OPENMP_CFLAGS@
433 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
434 OPENMP_ENABLE = @OPENMP_ENABLE@
435 OPENMP_LIBS = @OPENMP_LIBS@
436 OTOOL = @OTOOL@
437 OTOOL64 = @OTOOL64@
438 PACKAGE = @PACKAGE@
439 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
440 PACKAGE_NAME = @PACKAGE_NAME@
441 PACKAGE_STRING = @PACKAGE_STRING@
442 PACKAGE_TARNAME = @PACKAGE_TARNAME@
443 PACKAGE_URL = @PACKAGE_URL@
444 PACKAGE_VERSION = @PACKAGE_VERSION@
445 PATH_SEPARATOR = @PATH_SEPARATOR@
446 PCRE_CFLAGS = @PCRE_CFLAGS@
447 PCRE_CONFIG = @PCRE_CONFIG@
448 PCRE_LIBS = @PCRE_LIBS@
449 PCRE_VERSION = @PCRE_VERSION@
450 PKG_CONFIG = @PKG_CONFIG@
451 POSUB = @POSUB@
452 POW_LIB = @POW_LIB@
453 PYTHON = @PYTHON@
454 RANLIB = @RANLIB@
455 RELOCATABLE = @RELOCATABLE@
456 RT_LIB = @RT_LIB@
457 SAXON = @SAXON@
458 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
459 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
460 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
461 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
462 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
463 SCIRENDERER = @SCIRENDERER@
464 SCIRENDERER_CP = @SCIRENDERER_CP@
465 SCI_CFLAGS = @SCI_CFLAGS@
466 SCI_CXXFLAGS = @SCI_CXXFLAGS@
467 SCI_FFLAGS = @SCI_FFLAGS@
468 SCI_LDFLAGS = @SCI_LDFLAGS@
469 SED = @SED@
470 SET_MAKE = @SET_MAKE@
471 SET_RELOCATABLE = @SET_RELOCATABLE@
472 SHELL = @SHELL@
473 SKINLF = @SKINLF@
474 SPLINT = @SPLINT@
475 STRIP = @STRIP@
476 SWIG_BIN = @SWIG_BIN@
477 SWIG_JAVA = @SWIG_JAVA@
478 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
479 TCLTK_LIBS = @TCLTK_LIBS@
480 TCL_INC_PATH = @TCL_INC_PATH@
481 TK_INC_PATH = @TK_INC_PATH@
482 UMFPACK_ENABLE = @UMFPACK_ENABLE@
483 UMFPACK_LIB = @UMFPACK_LIB@
484 USE_NLS = @USE_NLS@
485 VERSION = @VERSION@
486 VMKIT_BIN_DIR = @VMKIT_BIN_DIR@
487 VMKIT_CPPFLAGS = @VMKIT_CPPFLAGS@
488 VMKIT_INCLUDE_DIR = @VMKIT_INCLUDE_DIR@
489 VMKIT_LDADD = @VMKIT_LDADD@
490 VMKIT_LDFLAGS = @VMKIT_LDFLAGS@
491 WITH_OCAML = @WITH_OCAML@
492 WITH_TKSCI = @WITH_TKSCI@
493 XCOS_ENABLE = @XCOS_ENABLE@
494 XGETTEXT = @XGETTEXT@
495 XGETTEXT_015 = @XGETTEXT_015@
496 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
497 XMKMF = @XMKMF@
498 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
499 XML_APIS_EXT = @XML_APIS_EXT@
500 XML_CONFIG = @XML_CONFIG@
501 XML_FLAGS = @XML_FLAGS@
502 XML_LIBS = @XML_LIBS@
503 XML_VERSION = @XML_VERSION@
504 X_CFLAGS = @X_CFLAGS@
505 X_EXTRA_LIBS = @X_EXTRA_LIBS@
506 X_LIBS = @X_LIBS@
507 X_PRE_LIBS = @X_PRE_LIBS@
508 YACC = @YACC@
509 YFLAGS = @YFLAGS@
510 abs_builddir = @abs_builddir@
511 abs_srcdir = @abs_srcdir@
512 abs_top_builddir = @abs_top_builddir@
513 abs_top_srcdir = @abs_top_srcdir@
514 ac_ct_AR = @ac_ct_AR@
515 ac_ct_CC = @ac_ct_CC@
516 ac_ct_CXX = @ac_ct_CXX@
517 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
518 ac_ct_F77 = @ac_ct_F77@
519 am__include = @am__include@
520 am__leading_dot = @am__leading_dot@
521 am__quote = @am__quote@
522 am__tar = @am__tar@
523 am__untar = @am__untar@
524 bindir = @bindir@
525 build = @build@
526 build_alias = @build_alias@
527 build_cpu = @build_cpu@
528 build_os = @build_os@
529 build_vendor = @build_vendor@
530 builddir = @builddir@
531 cxx_present = @cxx_present@
532 datadir = @datadir@
533 datarootdir = @datarootdir@
534 docdir = @docdir@
535 dvidir = @dvidir@
536 exec_prefix = @exec_prefix@
537 host = @host@
538 host_alias = @host_alias@
539 host_cpu = @host_cpu@
540 host_os = @host_os@
541 host_vendor = @host_vendor@
542 htmldir = @htmldir@
543 includedir = @includedir@
544 infodir = @infodir@
545 install_sh = @install_sh@
546 libdir = @libdir@
547 libexecdir = @libexecdir@
548 localedir = @localedir@
549 localstatedir = @localstatedir@
550 mandir = @mandir@
551 mkdir_p = @mkdir_p@
552 oldincludedir = @oldincludedir@
553 pdfdir = @pdfdir@
554 prefix = @prefix@
555 program_transform_name = @program_transform_name@
556 psdir = @psdir@
557 sbindir = @sbindir@
558 sharedstatedir = @sharedstatedir@
559 srcdir = @srcdir@
560 sysconfdir = @sysconfdir@
561 target_alias = @target_alias@
562 top_build_prefix = @top_build_prefix@
563 top_builddir = @top_builddir@
564 top_srcdir = @top_srcdir@
565 yacc_present = @yacc_present@
566 @GUI_TRUE@USEANT = 1
567
568 # List of the c files
569 @GUI_TRUE@ACTION_BINDING_C_SOURCES = src/c/InterpreterManagement.c
570
571 # List of the c++ file
572 @GUI_TRUE@ACTION_BINDING_CPP_SOURCES = src/jni/Signal.cpp \
573 @GUI_TRUE@    src/jni/Signal.hxx \
574 @GUI_TRUE@    src/cpp/action_binding_GiwsExports.cpp
575
576
577 # List of the gateway c files
578 @GUI_TRUE@CONSOLE_C_JNI_SOURCES = src/jni/InterpreterManagement_wrap.c
579 @GUI_TRUE@GATEWAY_CPP_SOURCES = \
580 @GUI_TRUE@    sci_gateway/cpp/action_binding_gw.cpp \
581 @GUI_TRUE@    sci_gateway/cpp/sci_notify.cpp
582
583 SWIG_WRAPPERS = src/jni/InterpreterManagement.i
584 GIWS_WRAPPERS = src/jni/Signal.giws.xml
585 BUILT_SOURCES = $(am__append_1) $(am__append_2)
586 libsciaction_binding_disable_la_SOURCES = src/noaction_binding/noaction_binding.cpp
587 libsciaction_binding_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
588                                                                                         -I$(top_srcdir)/modules/localization/includes/ \
589                                                                                         -I$(top_srcdir)/modules/output_stream/includes \
590                                                                                         -I$(top_srcdir)/modules/ast/includes \
591                                                                                         -I$(top_srcdir)/modules/symbol/includes \
592                                                                                         -I$(top_srcdir)/modules/system_env/includes \
593                                                                                         -I$(top_srcdir)/modules/types/includes \
594                                                                                         -I$(top_srcdir)/libs/dynamiclibrary/includes \
595                                                                                         $(AM_CPPFLAGS)
596
597
598 # Includes need for the compilation
599 libsciaction_binding_la_CPPFLAGS = \
600 $(JAVA_JNI_INCLUDE) \
601 -I$(srcdir)/includes/ \
602 -I$(srcdir)/src/c/ \
603 -I$(srcdir)/src/jni/ \
604 -I$(top_srcdir)/modules/jvm/includes/ \
605 -I$(top_srcdir)/modules/api_scilab/includes/ \
606 -I$(top_srcdir)/modules/commons/src/jni/ \
607 -I$(top_srcdir)/modules/localization/includes/ \
608 -I$(top_srcdir)/modules/output_stream/includes \
609 -I$(top_srcdir)/modules/symbol/includes \
610 -I$(top_srcdir)/modules/functions_manager/includes \
611 -I$(top_srcdir)/modules/ast/includes \
612 -I$(top_srcdir)/modules/system_env/includes \
613 -I$(top_srcdir)/modules/types/includes \
614 -I$(top_srcdir)/modules/dynamic_link/includes \
615 $(AM_CPPFLAGS)
616
617
618 # Name of the future library (.la will be replace by .so, .a, etc regarding
619 # the system)
620 pkglib_LTLIBRARIES = libsciaction_binding-disable.la $(am__append_3)
621 @GUI_TRUE@noinst_LTLIBRARIES = libsciaction_binding-algo.la
622
623 # All the sources needed by libsciaction_binding.la
624 libsciaction_binding_algo_la_SOURCES = $(ACTION_BINDING_C_SOURCES) $(ACTION_BINDING_CPP_SOURCES) $(CONSOLE_C_JNI_SOURCES)
625 libsciaction_binding_la_SOURCES = $(GATEWAY_CPP_SOURCES)
626 libsciaction_binding_algo_la_CPPFLAGS = $(libsciaction_binding_la_CPPFLAGS)
627
628 # For the code check (splint)
629 CHECK_SRC = $(ACTION_BINDING_CPP_SOURCES) $(GATEWAY_CPP_SOURCES)
630 INCLUDE_FLAGS = $(libsciaction_binding_la_CPPFLAGS)
631 libsciaction_binding_la_LIBADD = libsciaction_binding-algo.la
632
633 #### Name of the module and the path ######
634 modulename = action_binding
635
636 #### action_binding : Conf files ####
637 libsciaction_binding_la_rootdir = $(mydatadir)
638 libsciaction_binding_la_root_DATA = license.txt 
639
640 ####´┐Żaction_binding : init scripts ####
641 libsciaction_binding_la_etcdir = $(mydatadir)/etc
642 libsciaction_binding_la_etc_DATA = etc/action_binding.quit etc/action_binding.start
643
644 ####´┐Żaction_binding : gateway declaration ####
645 libsciaction_binding_la_sci_gatewaydir = $(mydatadir)/sci_gateway
646 libsciaction_binding_la_sci_gateway_DATA = sci_gateway/action_binding_gateway.xml
647
648 # Where all the Scilab stuff is installed (macros, help, ...)
649 mydatadir = $(pkgdatadir)/modules/$(modulename)
650
651 # Set AM_* SCI detected settings
652 AM_CPPFLAGS = $(SCI_CPPFLAGS)
653 AM_CFLAGS = $(SCI_CFLAGS)
654 AM_CXXFLAGS = $(SCI_CXXFLAGS)
655 # append includes to AM_FFLAGS to manage fortran includes
656 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
657
658 # Tag shared libraries with the Scilab version
659 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
660
661 # splint options
662 SPLINT_OPTIONS = -weak -booltype BOOL
663
664 ########################### JAVA ######################################
665 #### We are delegating java compilation to ant... Thanks to that
666 #### the procedure will be the same with Microsoft Windows (C)
667 #### and Linux/Unix
668 #######################################################################
669 TARGETS_ALL = $(am__append_4)
670
671 ################ MACROS ######################
672 # Rule to build a macro
673 # NOT USED  AT THE MOMENT
674 SUFFIXES = .sci 
675
676 ########### INSTALL DOCUMENTATION ###################
677
678 # Install documentation files into the right target
679 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
680 # automake needs the html files to be present which is not the case when
681 # we are building Scilab
682
683 # Where it should be installed
684 pkgdocdir = $(mydatadir)
685
686 # What is the mask of the help source
687 DOCMASKXML = *.xml
688
689 # What is the mask of the MathML sources
690 DOCMASKMML = *.mml
691
692 ########### INSTALL DATA ###################
693 # Install macros, help & demos
694 # Where it should be installed
695 pkgmacrosdir = $(mydatadir)
696 # Which directory we process
697 MACRODIRS = macros/
698 # Mask of the Scilab sources macros
699 MACROMASK = *.sci
700 # Mask of the Scilab executable sources macros
701 MACROBUILDMASK = *.sce
702 # Mask of the Scilab compiled macros
703 MACROBINMASK = *.bin
704 # List of the standard directory for tests
705 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
706 # Where the demos should be installed
707 pkgdemosdir = $(mydatadir)
708 # List of the standard directory for demos
709 DEMOS_DIR = demos
710 # List of the standard directory for examples
711 EXAMPLES_DIR = examples
712 # Where to export JAVA archives (.jar)
713 JARDIR = jar/
714 # JAR files mask
715 JARMASK = *.jar
716 # Chapter file 
717 HELP_CHAPTERDIR = help/
718 HELP_CHAPTERFILE = addchapter.sce
719 HELP_CHAPTERLANG = en_US fr_FR pt_BR
720 all: $(BUILT_SOURCES)
721         $(MAKE) $(AM_MAKEFLAGS) all-am
722
723 .SUFFIXES:
724 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
725 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
726         @for dep in $?; do \
727           case '$(am__configure_deps)' in \
728             *$$dep*) \
729               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
730                 && { if test -f $@; then exit 0; else break; fi; }; \
731               exit 1;; \
732           esac; \
733         done; \
734         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/action_binding/Makefile'; \
735         $(am__cd) $(top_srcdir) && \
736           $(AUTOMAKE) --foreign modules/action_binding/Makefile
737 .PRECIOUS: Makefile
738 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
739         @case '$?' in \
740           *config.status*) \
741             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
742           *) \
743             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
744             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
745         esac;
746 $(top_srcdir)/Makefile.incl.am:
747
748 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
749         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750
751 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
752         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
754         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
755 $(am__aclocal_m4_deps):
756
757 clean-noinstLTLIBRARIES:
758         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
759         @list='$(noinst_LTLIBRARIES)'; \
760         locs=`for p in $$list; do echo $$p; done | \
761               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
762               sort -u`; \
763         test -z "$$locs" || { \
764           echo rm -f $${locs}; \
765           rm -f $${locs}; \
766         }
767
768 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
769         @$(NORMAL_INSTALL)
770         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
771         list2=; for p in $$list; do \
772           if test -f $$p; then \
773             list2="$$list2 $$p"; \
774           else :; fi; \
775         done; \
776         test -z "$$list2" || { \
777           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
778           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
779           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
780           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
781         }
782
783 uninstall-pkglibLTLIBRARIES:
784         @$(NORMAL_UNINSTALL)
785         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
786         for p in $$list; do \
787           $(am__strip_dir) \
788           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
789           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
790         done
791
792 clean-pkglibLTLIBRARIES:
793         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
794         @list='$(pkglib_LTLIBRARIES)'; \
795         locs=`for p in $$list; do echo $$p; done | \
796               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
797               sort -u`; \
798         test -z "$$locs" || { \
799           echo rm -f $${locs}; \
800           rm -f $${locs}; \
801         }
802
803 libsciaction_binding-algo.la: $(libsciaction_binding_algo_la_OBJECTS) $(libsciaction_binding_algo_la_DEPENDENCIES) $(EXTRA_libsciaction_binding_algo_la_DEPENDENCIES) 
804         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciaction_binding_algo_la_rpath) $(libsciaction_binding_algo_la_OBJECTS) $(libsciaction_binding_algo_la_LIBADD) $(LIBS)
805
806 libsciaction_binding-disable.la: $(libsciaction_binding_disable_la_OBJECTS) $(libsciaction_binding_disable_la_DEPENDENCIES) $(EXTRA_libsciaction_binding_disable_la_DEPENDENCIES) 
807         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciaction_binding_disable_la_OBJECTS) $(libsciaction_binding_disable_la_LIBADD) $(LIBS)
808
809 libsciaction_binding.la: $(libsciaction_binding_la_OBJECTS) $(libsciaction_binding_la_DEPENDENCIES) $(EXTRA_libsciaction_binding_la_DEPENDENCIES) 
810         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciaction_binding_la_rpath) $(libsciaction_binding_la_OBJECTS) $(libsciaction_binding_la_LIBADD) $(LIBS)
811
812 mostlyclean-compile:
813         -rm -f *.$(OBJEXT)
814
815 distclean-compile:
816         -rm -f *.tab.c
817
818 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement.Plo@am__quote@
819 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement_wrap.Plo@am__quote@
820 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_algo_la-Signal.Plo@am__quote@
821 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_algo_la-action_binding_GiwsExports.Plo@am__quote@
822 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_disable_la-noaction_binding.Plo@am__quote@
823 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_la-action_binding_gw.Plo@am__quote@
824 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_la-sci_notify.Plo@am__quote@
825
826 .c.o:
827 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
828 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
829 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
832
833 .c.obj:
834 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
835 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
839
840 .c.lo:
841 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
842 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
843 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
846
847 libsciaction_binding_algo_la-InterpreterManagement.lo: src/c/InterpreterManagement.c
848 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciaction_binding_algo_la-InterpreterManagement.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement.Tpo -c -o libsciaction_binding_algo_la-InterpreterManagement.lo `test -f 'src/c/InterpreterManagement.c' || echo '$(srcdir)/'`src/c/InterpreterManagement.c
849 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement.Tpo $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement.Plo
850 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/InterpreterManagement.c' object='libsciaction_binding_algo_la-InterpreterManagement.lo' libtool=yes @AMDEPBACKSLASH@
851 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
852 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciaction_binding_algo_la-InterpreterManagement.lo `test -f 'src/c/InterpreterManagement.c' || echo '$(srcdir)/'`src/c/InterpreterManagement.c
853
854 libsciaction_binding_algo_la-InterpreterManagement_wrap.lo: src/jni/InterpreterManagement_wrap.c
855 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciaction_binding_algo_la-InterpreterManagement_wrap.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement_wrap.Tpo -c -o libsciaction_binding_algo_la-InterpreterManagement_wrap.lo `test -f 'src/jni/InterpreterManagement_wrap.c' || echo '$(srcdir)/'`src/jni/InterpreterManagement_wrap.c
856 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement_wrap.Tpo $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement_wrap.Plo
857 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/InterpreterManagement_wrap.c' object='libsciaction_binding_algo_la-InterpreterManagement_wrap.lo' libtool=yes @AMDEPBACKSLASH@
858 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
859 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciaction_binding_algo_la-InterpreterManagement_wrap.lo `test -f 'src/jni/InterpreterManagement_wrap.c' || echo '$(srcdir)/'`src/jni/InterpreterManagement_wrap.c
860
861 .cpp.o:
862 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
863 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
864 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
865 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
866 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
867
868 .cpp.obj:
869 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
870 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
871 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
872 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
873 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
874
875 .cpp.lo:
876 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
877 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
878 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
879 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
880 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
881
882 libsciaction_binding_algo_la-Signal.lo: src/jni/Signal.cpp
883 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciaction_binding_algo_la-Signal.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_algo_la-Signal.Tpo -c -o libsciaction_binding_algo_la-Signal.lo `test -f 'src/jni/Signal.cpp' || echo '$(srcdir)/'`src/jni/Signal.cpp
884 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_algo_la-Signal.Tpo $(DEPDIR)/libsciaction_binding_algo_la-Signal.Plo
885 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/Signal.cpp' object='libsciaction_binding_algo_la-Signal.lo' libtool=yes @AMDEPBACKSLASH@
886 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
887 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciaction_binding_algo_la-Signal.lo `test -f 'src/jni/Signal.cpp' || echo '$(srcdir)/'`src/jni/Signal.cpp
888
889 libsciaction_binding_algo_la-action_binding_GiwsExports.lo: src/cpp/action_binding_GiwsExports.cpp
890 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciaction_binding_algo_la-action_binding_GiwsExports.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_algo_la-action_binding_GiwsExports.Tpo -c -o libsciaction_binding_algo_la-action_binding_GiwsExports.lo `test -f 'src/cpp/action_binding_GiwsExports.cpp' || echo '$(srcdir)/'`src/cpp/action_binding_GiwsExports.cpp
891 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_algo_la-action_binding_GiwsExports.Tpo $(DEPDIR)/libsciaction_binding_algo_la-action_binding_GiwsExports.Plo
892 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/action_binding_GiwsExports.cpp' object='libsciaction_binding_algo_la-action_binding_GiwsExports.lo' libtool=yes @AMDEPBACKSLASH@
893 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
894 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciaction_binding_algo_la-action_binding_GiwsExports.lo `test -f 'src/cpp/action_binding_GiwsExports.cpp' || echo '$(srcdir)/'`src/cpp/action_binding_GiwsExports.cpp
895
896 libsciaction_binding_disable_la-noaction_binding.lo: src/noaction_binding/noaction_binding.cpp
897 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciaction_binding_disable_la-noaction_binding.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_disable_la-noaction_binding.Tpo -c -o libsciaction_binding_disable_la-noaction_binding.lo `test -f 'src/noaction_binding/noaction_binding.cpp' || echo '$(srcdir)/'`src/noaction_binding/noaction_binding.cpp
898 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_disable_la-noaction_binding.Tpo $(DEPDIR)/libsciaction_binding_disable_la-noaction_binding.Plo
899 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/noaction_binding/noaction_binding.cpp' object='libsciaction_binding_disable_la-noaction_binding.lo' libtool=yes @AMDEPBACKSLASH@
900 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
901 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciaction_binding_disable_la-noaction_binding.lo `test -f 'src/noaction_binding/noaction_binding.cpp' || echo '$(srcdir)/'`src/noaction_binding/noaction_binding.cpp
902
903 libsciaction_binding_la-action_binding_gw.lo: sci_gateway/cpp/action_binding_gw.cpp
904 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciaction_binding_la-action_binding_gw.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_la-action_binding_gw.Tpo -c -o libsciaction_binding_la-action_binding_gw.lo `test -f 'sci_gateway/cpp/action_binding_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/action_binding_gw.cpp
905 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_la-action_binding_gw.Tpo $(DEPDIR)/libsciaction_binding_la-action_binding_gw.Plo
906 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/action_binding_gw.cpp' object='libsciaction_binding_la-action_binding_gw.lo' libtool=yes @AMDEPBACKSLASH@
907 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
908 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciaction_binding_la-action_binding_gw.lo `test -f 'sci_gateway/cpp/action_binding_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/action_binding_gw.cpp
909
910 libsciaction_binding_la-sci_notify.lo: sci_gateway/cpp/sci_notify.cpp
911 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciaction_binding_la-sci_notify.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_la-sci_notify.Tpo -c -o libsciaction_binding_la-sci_notify.lo `test -f 'sci_gateway/cpp/sci_notify.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_notify.cpp
912 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_la-sci_notify.Tpo $(DEPDIR)/libsciaction_binding_la-sci_notify.Plo
913 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_notify.cpp' object='libsciaction_binding_la-sci_notify.lo' libtool=yes @AMDEPBACKSLASH@
914 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
915 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciaction_binding_la-sci_notify.lo `test -f 'sci_gateway/cpp/sci_notify.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_notify.cpp
916
917 mostlyclean-libtool:
918         -rm -f *.lo
919
920 clean-libtool:
921         -rm -rf .libs _libs
922 install-libsciaction_binding_la_etcDATA: $(libsciaction_binding_la_etc_DATA)
923         @$(NORMAL_INSTALL)
924         @list='$(libsciaction_binding_la_etc_DATA)'; test -n "$(libsciaction_binding_la_etcdir)" || list=; \
925         if test -n "$$list"; then \
926           echo " $(MKDIR_P) '$(DESTDIR)$(libsciaction_binding_la_etcdir)'"; \
927           $(MKDIR_P) "$(DESTDIR)$(libsciaction_binding_la_etcdir)" || exit 1; \
928         fi; \
929         for p in $$list; do \
930           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
931           echo "$$d$$p"; \
932         done | $(am__base_list) | \
933         while read files; do \
934           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciaction_binding_la_etcdir)'"; \
935           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciaction_binding_la_etcdir)" || exit $$?; \
936         done
937
938 uninstall-libsciaction_binding_la_etcDATA:
939         @$(NORMAL_UNINSTALL)
940         @list='$(libsciaction_binding_la_etc_DATA)'; test -n "$(libsciaction_binding_la_etcdir)" || list=; \
941         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
942         dir='$(DESTDIR)$(libsciaction_binding_la_etcdir)'; $(am__uninstall_files_from_dir)
943 install-libsciaction_binding_la_rootDATA: $(libsciaction_binding_la_root_DATA)
944         @$(NORMAL_INSTALL)
945         @list='$(libsciaction_binding_la_root_DATA)'; test -n "$(libsciaction_binding_la_rootdir)" || list=; \
946         if test -n "$$list"; then \
947           echo " $(MKDIR_P) '$(DESTDIR)$(libsciaction_binding_la_rootdir)'"; \
948           $(MKDIR_P) "$(DESTDIR)$(libsciaction_binding_la_rootdir)" || exit 1; \
949         fi; \
950         for p in $$list; do \
951           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
952           echo "$$d$$p"; \
953         done | $(am__base_list) | \
954         while read files; do \
955           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciaction_binding_la_rootdir)'"; \
956           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciaction_binding_la_rootdir)" || exit $$?; \
957         done
958
959 uninstall-libsciaction_binding_la_rootDATA:
960         @$(NORMAL_UNINSTALL)
961         @list='$(libsciaction_binding_la_root_DATA)'; test -n "$(libsciaction_binding_la_rootdir)" || list=; \
962         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
963         dir='$(DESTDIR)$(libsciaction_binding_la_rootdir)'; $(am__uninstall_files_from_dir)
964 install-libsciaction_binding_la_sci_gatewayDATA: $(libsciaction_binding_la_sci_gateway_DATA)
965         @$(NORMAL_INSTALL)
966         @list='$(libsciaction_binding_la_sci_gateway_DATA)'; test -n "$(libsciaction_binding_la_sci_gatewaydir)" || list=; \
967         if test -n "$$list"; then \
968           echo " $(MKDIR_P) '$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)'"; \
969           $(MKDIR_P) "$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)" || exit 1; \
970         fi; \
971         for p in $$list; do \
972           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
973           echo "$$d$$p"; \
974         done | $(am__base_list) | \
975         while read files; do \
976           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)'"; \
977           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)" || exit $$?; \
978         done
979
980 uninstall-libsciaction_binding_la_sci_gatewayDATA:
981         @$(NORMAL_UNINSTALL)
982         @list='$(libsciaction_binding_la_sci_gateway_DATA)'; test -n "$(libsciaction_binding_la_sci_gatewaydir)" || list=; \
983         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
984         dir='$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
985
986 ID: $(am__tagged_files)
987         $(am__define_uniq_tagged_files); mkid -fID $$unique
988 tags: tags-am
989 TAGS: tags
990
991 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
992         set x; \
993         here=`pwd`; \
994         $(am__define_uniq_tagged_files); \
995         shift; \
996         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
997           test -n "$$unique" || unique=$$empty_fix; \
998           if test $$# -gt 0; then \
999             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1000               "$$@" $$unique; \
1001           else \
1002             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1003               $$unique; \
1004           fi; \
1005         fi
1006 ctags: ctags-am
1007
1008 CTAGS: ctags
1009 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1010         $(am__define_uniq_tagged_files); \
1011         test -z "$(CTAGS_ARGS)$$unique" \
1012           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1013              $$unique
1014
1015 GTAGS:
1016         here=`$(am__cd) $(top_builddir) && pwd` \
1017           && $(am__cd) $(top_srcdir) \
1018           && gtags -i $(GTAGS_ARGS) "$$here"
1019 cscopelist: cscopelist-am
1020
1021 cscopelist-am: $(am__tagged_files)
1022         list='$(am__tagged_files)'; \
1023         case "$(srcdir)" in \
1024           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1025           *) sdir=$(subdir)/$(srcdir) ;; \
1026         esac; \
1027         for i in $$list; do \
1028           if test -f "$$i"; then \
1029             echo "$(subdir)/$$i"; \
1030           else \
1031             echo "$$sdir/$$i"; \
1032           fi; \
1033         done >> $(top_builddir)/cscope.files
1034
1035 distclean-tags:
1036         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1037
1038 distdir: $(DISTFILES)
1039         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1040         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1041         list='$(DISTFILES)'; \
1042           dist_files=`for file in $$list; do echo $$file; done | \
1043           sed -e "s|^$$srcdirstrip/||;t" \
1044               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1045         case $$dist_files in \
1046           */*) $(MKDIR_P) `echo "$$dist_files" | \
1047                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1048                            sort -u` ;; \
1049         esac; \
1050         for file in $$dist_files; do \
1051           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1052           if test -d $$d/$$file; then \
1053             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1054             if test -d "$(distdir)/$$file"; then \
1055               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1056             fi; \
1057             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1058               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1059               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1060             fi; \
1061             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1062           else \
1063             test -f "$(distdir)/$$file" \
1064             || cp -p $$d/$$file "$(distdir)/$$file" \
1065             || exit 1; \
1066           fi; \
1067         done
1068 check-am: all-am
1069         $(MAKE) $(AM_MAKEFLAGS) check-local
1070 check: $(BUILT_SOURCES)
1071         $(MAKE) $(AM_MAKEFLAGS) check-am
1072 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1073 installdirs:
1074         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciaction_binding_la_etcdir)" "$(DESTDIR)$(libsciaction_binding_la_rootdir)" "$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)"; do \
1075           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1076         done
1077 install: $(BUILT_SOURCES)
1078         $(MAKE) $(AM_MAKEFLAGS) install-am
1079 install-exec: install-exec-am
1080 install-data: install-data-am
1081 uninstall: uninstall-am
1082
1083 install-am: all-am
1084         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1085
1086 installcheck: installcheck-am
1087 install-strip:
1088         if test -z '$(STRIP)'; then \
1089           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1090             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1091               install; \
1092         else \
1093           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1094             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1095             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1096         fi
1097 mostlyclean-generic:
1098
1099 clean-generic:
1100
1101 distclean-generic:
1102         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1103         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1104
1105 maintainer-clean-generic:
1106         @echo "This command is intended for maintainers to use"
1107         @echo "it deletes files that may require special tools to rebuild."
1108         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1109 clean: clean-am
1110
1111 clean-am: clean-generic clean-libtool clean-local \
1112         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1113
1114 distclean: distclean-am
1115         -rm -rf ./$(DEPDIR)
1116         -rm -f Makefile
1117 distclean-am: clean-am distclean-compile distclean-generic \
1118         distclean-local distclean-tags
1119
1120 dvi: dvi-am
1121
1122 dvi-am:
1123
1124 html: html-am
1125
1126 html-am:
1127
1128 info: info-am
1129
1130 info-am:
1131
1132 install-data-am: install-data-local \
1133         install-libsciaction_binding_la_etcDATA \
1134         install-libsciaction_binding_la_rootDATA \
1135         install-libsciaction_binding_la_sci_gatewayDATA
1136
1137 install-dvi: install-dvi-am
1138
1139 install-dvi-am:
1140
1141 install-exec-am: install-pkglibLTLIBRARIES
1142
1143 install-html: install-html-am
1144
1145 install-html-am: install-html-local
1146
1147 install-info: install-info-am
1148
1149 install-info-am:
1150
1151 install-man:
1152
1153 install-pdf: install-pdf-am
1154
1155 install-pdf-am:
1156
1157 install-ps: install-ps-am
1158
1159 install-ps-am:
1160
1161 installcheck-am:
1162
1163 maintainer-clean: maintainer-clean-am
1164         -rm -rf ./$(DEPDIR)
1165         -rm -f Makefile
1166 maintainer-clean-am: distclean-am maintainer-clean-generic
1167
1168 mostlyclean: mostlyclean-am
1169
1170 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1171         mostlyclean-libtool
1172
1173 pdf: pdf-am
1174
1175 pdf-am:
1176
1177 ps: ps-am
1178
1179 ps-am:
1180
1181 uninstall-am: uninstall-libsciaction_binding_la_etcDATA \
1182         uninstall-libsciaction_binding_la_rootDATA \
1183         uninstall-libsciaction_binding_la_sci_gatewayDATA \
1184         uninstall-pkglibLTLIBRARIES
1185
1186 .MAKE: all check check-am install install-am install-strip
1187
1188 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1189         check-local clean clean-generic clean-libtool clean-local \
1190         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1191         ctags ctags-am distclean distclean-compile distclean-generic \
1192         distclean-libtool distclean-local distclean-tags distdir dvi \
1193         dvi-am html html-am info info-am install install-am \
1194         install-data install-data-am install-data-local install-dvi \
1195         install-dvi-am install-exec install-exec-am install-html \
1196         install-html-am install-html-local install-info \
1197         install-info-am install-libsciaction_binding_la_etcDATA \
1198         install-libsciaction_binding_la_rootDATA \
1199         install-libsciaction_binding_la_sci_gatewayDATA install-man \
1200         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1201         install-ps install-ps-am install-strip installcheck \
1202         installcheck-am installdirs maintainer-clean \
1203         maintainer-clean-generic mostlyclean mostlyclean-compile \
1204         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1205         tags tags-am uninstall uninstall-am \
1206         uninstall-libsciaction_binding_la_etcDATA \
1207         uninstall-libsciaction_binding_la_rootDATA \
1208         uninstall-libsciaction_binding_la_sci_gatewayDATA \
1209         uninstall-pkglibLTLIBRARIES
1210
1211
1212 # This target enables tests for Scilab
1213 check-local: $(top_builddir)/scilab-bin test
1214         if test -d $(mydatadir)/tests; then \
1215           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1216         fi
1217 check-code:
1218         if test -f build.xml; then \
1219                 $(ANT) checkstyle; \
1220         fi
1221         if test -x "$(SPLINT)"; then \
1222                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1223         fi
1224 @NEED_JAVA_TRUE@java:
1225 # Some configurations needs to export JAVA_HOME in the current env
1226 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1227 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1228 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1229 @NEED_JAVA_TRUE@                $(ANT); \
1230 @NEED_JAVA_TRUE@        fi
1231
1232 @NEED_JAVA_TRUE@clean-java:
1233 # Some configurations needs to export JAVA_HOME in the current env
1234 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1235 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1236 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1237 @NEED_JAVA_TRUE@                $(ANT) clean; \
1238 @NEED_JAVA_TRUE@        fi;
1239
1240 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1241 # We call the target swig-build on the variable SWIG_WRAPPERS
1242
1243 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1244 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1245 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1246 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1247 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1248 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1249 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1250 @SWIG_TRUE@             done; \
1251 @SWIG_TRUE@     fi
1252
1253 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1254 # We call the target swig-build on the variable SWIG_WRAPPERS
1255
1256 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1257 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1258 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1259 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1260 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1261 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1262 @GIWS_TRUE@             done; \
1263 @GIWS_TRUE@     fi
1264
1265 @GIWS_TRUE@giws-exception:
1266 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1267 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1268 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1269
1270 macros:
1271         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1272                 echo "Error : Cannot build $< : Scilab has not been built"; \
1273         else \
1274                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1275         fi)
1276
1277 # Removes the macros
1278 clean-macros:
1279 # Removes macros (*.bin generated from .sci)
1280         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1281                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1282                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1283         done
1284
1285 test:
1286 # More tests could be added here
1287         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1288         if test -f build.xml -a $$USEANT -eq 1; then \
1289                 $(ANT) test; \
1290         fi
1291
1292 all-local: $(TARGETS_ALL)
1293
1294 .sci.bin:
1295         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1296         echo "Error : Cannot build $< : Scilab has not been build"; \
1297         else \
1298         echo "Creating $@"; \
1299         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1300         fi )
1301
1302 install-html-local:
1303
1304 install-data-local-local:
1305 # Mainly for javasci
1306         @if test -d $(srcdir)/javadoc; then \
1307                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1308         fi
1309 # If the user wants the help sources to be installed
1310 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1311 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1312 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1313 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1314 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1315 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1316 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1317 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1318 @INSTALL_HELP_XML_TRUE@           done ; \
1319 @INSTALL_HELP_XML_TRUE@         fi; \
1320 @INSTALL_HELP_XML_TRUE@  fi; \
1321 @INSTALL_HELP_XML_TRUE@ done; \
1322 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1323 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1324 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1325 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1326 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1327 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1328 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1329 @INSTALL_HELP_XML_TRUE@           done ; \
1330 @INSTALL_HELP_XML_TRUE@         fi; \
1331 @INSTALL_HELP_XML_TRUE@ fi
1332 install-data-local:
1333 # Install the tests
1334         @echo "-------- Install tests (if any) --------"; \
1335         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1336           if test -d $(srcdir)/$$dir/; then \
1337             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1338                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1339                     if test -d "$(srcdir)/$$dir/$$file"; then \
1340                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1341                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1342                     else \
1343                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1344                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1345                     fi \
1346                   done; \
1347           fi; \
1348         done
1349 # Install the help chapter
1350         @echo "-------- Install the help chapter (if any) --------"; \
1351         for lang in $(HELP_CHAPTERLANG); do \
1352                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1353                 if test -f $$HELPFILE; then \
1354                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1355                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1356                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1357                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1358                 fi; \
1359         done
1360 # Install the demos & examples
1361         @echo "-------- Install demos & examples (if any) --------"; \
1362         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1363           if test -d $(srcdir)/$$dir/; then \
1364             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1365                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1366                     if test -d "$(srcdir)/$$dir/$$file"; then \
1367                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1368                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1369                     else \
1370                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1371                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1372                     fi \
1373                   done; \
1374           fi; \
1375         done
1376 # Install the macros
1377         @echo "-------- Install macros (if any) --------"; \
1378         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1379           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1380                 if test -d $(srcdir)/$$dir/; then \
1381                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1382                         if test -n "$(MACROSSPECIALEXT)"; then \
1383                                 specialExtDir=""; \
1384                                 for specialExt in $(MACROSSPECIALEXT); do \
1385                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1386                                 done; \
1387                                 FILELIST="$$FILELIST $$specialExtDir"; \
1388                         fi; \
1389                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1390                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1391                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1392                   done; \
1393                 fi; \
1394         done
1395 # Install java files (.jar)
1396         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1397         echo "-------- Install jar files --------"; \
1398     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1399           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1400                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1401                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1402           done ; \
1403         fi
1404
1405 ########### CLEAN ###################
1406 # Clean help (generated automatically by Scilab)
1407 # It used to clean the macro (clean-macros) but this was causing
1408 # make clean && make to fail Scilab startup
1409 @NEED_JAVA_TRUE@clean-local: clean-java
1410 @NEED_JAVA_FALSE@clean-local:
1411
1412 distclean-local:
1413         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1414
1415 .PHONY: macros java swig giws
1416
1417 # Provides macros compilation, Java compilation, cleaning
1418 # If you want Makefile to call ant, added USEANT=1
1419
1420 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1421 # Otherwise a system limit (for SysV at least) may be exceeded.
1422 .NOEXPORT: